import {
	ApiHttp
} from '@/utils/request.js'

const login = (params) => {
	return ApiHttp('/system/xcxLogin', params, 'POST')
}

const loginPhone = (params) => {
	return ApiHttp('/system/getPhone', params, 'POST')
}

const loginOut = (params) => {

}

const loginUserInfo = (params) => {
	return ApiHttp('/app-fund/my/info', params, 'GET')
}
const getDealerPhone = (params) => {
	return ApiHttp('/system/getDealerPhone', params, 'POST')
}

const getUserProfile = () => {
	return new Promise((resolve, reject) => {
		uni.getUserProfile({
			//获取微信信息
			desc: '用于获取您的个人信息', // 声明获取用户个人信息后的用途，不超过30个字符
			success: obj => {
				console.log('getUserInfo', obj);
				//接口调用成功的回调
				resolve(obj);
			},
			fail: (err) => {
				uni.showToast({
					title: '授权已取消',
					icon: 'error',
					mask: true
				});
				console.log(err, '授权已取消==============')
			}
		});
	});
}


const axiosloginAccount = (params) => {
	return ApiHttp('/app-fund/staffLogin', params, 'POST')
}

export {
	login,
	loginOut,
	getUserProfile,
	loginPhone,
	loginUserInfo,
	getDealerPhone,
	axiosloginAccount
}
