import App from './App'
import store from './store';

import uView from 'uview-ui'
Vue.use(uView)
// 如此配置即可
uni.$u.config.unit = 'rpx'

import comNavBar from '@/components/navBar/aIndex';
Vue.component('com-navbar', comNavBar)

import uniGo from '@/utils/unIGO.js';
Vue.prototype.$uniGo = uniGo;
import utilsMethods from '@/utils/utils.js';
Vue.prototype.$utilsMethods = utilsMethods;
import {
	toast
} from '@/utils/toast.js';
Vue.prototype.$toast = toast;

// #ifndef VUE3
import Vue from 'vue'
import './uni.promisify.adaptor'
Vue.config.productionTip = false
App.mpType = 'app'
const app = new Vue({
  ...App,
  store
})
app.$mount()
// #endif

// #ifdef VUE3
import { createSSRApp } from 'vue'
export function createApp() {
  const app = createSSRApp(App)
  return {
    app,
	store
  }
}
// #endif